# IO-AVSTATS-DB-TYPING - Aviation Event Statistics Database Software

The National Transportation Safety Board ([NTSB](https://www.ntsb.gov/Pages/home.aspx)) investigates all aviation accidents in the U.S. and makes the investigation results available on their [website](https://data.ntsb.gov/avdata) in Microsoft Access database files for public use. 
The NTSB provides data from 1982 through 2007 in the file **`Pre2008.zip`**. 
Data since 2008 are available first in the overall **`avail.zip`** file, which is updated monthly, and second with a "weekly" amendment file each month on the 1st, 8th, 15th, and 22nd, e.g. **`up22JUN.zip`**.

**IO-AVSTATS-DB** allows you to migrate Microsoft Access files to a PostgreSQL database.
After the data is uploaded based on the two files **`Pre2008.zip`** and **`avail.zip`**, the PostgreSQL can be kept up to date with the "weekly" amendment files.

## Directory and File Structure of this Repository

### 1. Directories

| Directory         | Content                                                    |
|-------------------|------------------------------------------------------------|
| .github/workflows | **[GitHub Action](https://github.com/actions)** workflows. |
| docs              | Documentation files.                                       |
| site              | Documentation as static HTML pages.                        |
| src               | Python script files.                                       |

### 2. Files

| File                      | Functionality                                                 |
|---------------------------|---------------------------------------------------------------|
| .gitignore                | Configuration of files and folders to be ignored.             |
| .pylintrc                 | **pylint** configuration file.                                |
| LICENSE.md                | Text of the licence terms.                                    |
| Makefile                  | Tasks to be executed with the **`make`** command.             |
| mkdocs.yml                | Configuration file for **MkDocs**.                            |
| Pipfile                   | Definition of the Python package requirements.                |
| pyproject.toml            | Optional configuration data for the software quality tools.   |
| README.md                 | This file.                                                    |
| setup.cfg                 | Optional configuration data for **flake8**.                   |
